%define version 0.0.9
%define release 1mdk

%define libggz_version 0.0.9
%define ggz_client_libs_version 0.0.9

%define games_list fyrdman kcc kdots keepalive koenig KReversi krosswater ktictactux muehle

Name:		ggz-kde-games
Summary:	GGZ Games for KDE
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
URL:		http://www.ggzgamingzone.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		ggz-kde-games-0.0.9-gcc34.patch.bz2

BuildRequires:	libggz-devel = %{libggz_version}
BuildRequires:	ggz-client-libs-devel = %{ggz_client_libs_version}
Buildrequires:	kdelibs-devel
Prereq:		libggz = %{libggz_version}
Prereq:		ggz-client-libs = %{ggz_client_libs_version}
Provides:	ggz-game-modules = %{version}

%description
The complete set of GGZ Gaming Zone games for KDE user interface.
Includes all of the following:

KReversi:   Reversi chess
KCC:        Chinese checkers
KTicTacTux: Tic Tac Toe using pictures
KDots:      Connect the Dots
Krosswater: KDE port of Java game "Cross the water"
Keepalive:  An experimental game
Koenig:     A chess game
Muehle:     "Nine men's morris" chess
Fyrdman:    Client for Hastings1066 battle game

%prep
%setup -q
%patch0 -p1 -b .gcc34

%build
%configure2_5x --with-xinerama
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm %{buildroot}%{_sysconfdir}/ggz.modules
rmdir %{buildroot}%{_sysconfdir}

# Get a copy of all of our .dsc files
mkdir -p %{buildroot}%{_datadir}/ggz/ggz-config
for i in %games_list; do
  install -m 0644 $i/module.dsc %{buildroot}%{_datadir}/ggz/ggz-config/kde-$i.dsc
done

# replace absolute symlink with relative one
rm -f %{buildroot}%{_datadir}/doc/HTML/en/muehle/common
ln -sf ../common %{buildroot}%{_datadir}/doc/HTML/en/muehle/common

%find_lang %{name} --all-name

%clean
rm -rf %{buildroot}


%post 
# Run ggz-config vs. all installed games
if [ -f %{_sysconfdir}/ggz.modules ]; then
  for i in %games_list; do
    ggz-config --install --modfile=%{_datadir}/ggz/ggz-config/kde-$i.dsc --force
  done
fi


%preun
# Run ggz-config to uninstall all the games
if [ "$1" = "0" ]; then
  if [ -f %{_sysconfdir}/ggz.modules ]; then
    for i in %games_list; do
      ggz-config --remove --modfile=%{_datadir}/ggz/ggz-config/kde-$i.dsc
    done
  fi
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README README.GGZ QuickStart.GGZ

%{_bindir}/muehle-ai.pl

%{_libdir}/ggz/*

%{_datadir}/ggz/fyrdman
%{_datadir}/ggz/ggz-config/*
%{_datadir}/ggz/kcc
%{_datadir}/ggz/kdots
%{_datadir}/ggz/keepalive
%{_datadir}/ggz/koenig
%{_datadir}/ggz/kreversi
%{_datadir}/ggz/krosswater
%{_datadir}/ggz/ktictactux
%{_datadir}/ggz/muehle

%{_mandir}/man?/*

%{_datadir}/applnk
%{_datadir}/apps
%{_datadir}/icons/hicolor/*/*/*.png

%doc %{_datadir}/doc/HTML/en/muehle

%changelog
* Sun Dec 26 2004 Abel Cheung <deaddog@mandrake.org> 0.0.9-1mdk
- New version
- P0: fix build for newer gcc

* Wed Feb 11 2004 Abel Cheung <deaddog@deaddog.org> 0.0.8-1mdk
- New version
- Spec cleanup
- Remove menu, games that can run standalone aren't that funny

* Sat Sep  6 2003 Abel Cheung <deaddog@deaddog.org> 0.0.7-1mdk
- 0.0.7
- No libdification, since libraries are no more
- Provides ggz-game-modules
- Add new game to games list
- Add menu entry for standalone games

* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-3mdk
- buildrequires

* Mon Mar 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 andi payn <payn@myrealbox.com>
- Updated to 0.0.6
- Mandrakized (split off libggz-kde-games0/libggz-kde-games0-devel, etc.)

* Fri Apr 12 2002 Rich Gade <rgade@users.sourceforge.net>
- Updated for 0.0.5

* Mon Jun 18 2001 Rich Gade <rgade@users.sourceforge.net>
- Added missing dependency information (libggzcore.so.0)

* Sun Jun 17 2001 Rich Gade <rgade@users.sourceforge.net>
- Initial specification file
